For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • GETGet basic paypoint details
            • GETGet basic paypoint details by ID
            • GETGet paypoint details
            • GETGet paypoint settings
            • PUTUpload logo
            • GETList paypoints by organization
            • GETExport paypoints by organization
            • POSTMigrate paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesPaypoint

Get paypoint settings

|View as Markdown|Open in Claude|
GET
/Paypoint/settings/:entry
GET
/api/Paypoint/settings/:entry
$curl https://api-sandbox.payabli.com/api/Paypoint/settings/8cfec329267 \
> -H "requestToken: <apiKey>"
1{
2 "customFields": [
3 {
4 "key": "customerID",
5 "readOnly": false,
6 "value": ""
7 },
8 {
9 "key": "test",
10 "readOnly": false,
11 "value": ""
12 },
13 {
14 "key": "newfield",
15 "readOnly": false,
16 "value": ""
17 },
18 {
19 "key": "testfield",
20 "readOnly": false,
21 "value": ""
22 }
23 ],
24 "forInvoices": [
25 {
26 "key": "brandColor",
27 "value": "#0594fad1"
28 },
29 {
30 "key": "requiredInvoiceNumber",
31 "value": "true"
32 },
33 {
34 "key": "invoicePrefix",
35 "value": "INV-"
36 },
37 {
38 "key": "invoiceNumber",
39 "value": "1"
40 },
41 {
42 "key": "dueDate",
43 "value": "NET30"
44 },
45 {
46 "key": "dueDateCustom",
47 "value": "Invalid Date"
48 },
49 {
50 "key": "memoNote",
51 "value": "Thank you for your business!"
52 },
53 {
54 "key": "footerNote",
55 "value": "default footer testing"
56 },
57 {
58 "key": "includePaymentLink",
59 "value": "true"
60 },
61 {
62 "key": "paylinkHeader",
63 "value": "Gruzya Adventure Outfitters"
64 },
65 {
66 "key": "paylinkDescription",
67 "value": "Pay Invoice"
68 },
69 {
70 "key": "contactUsText",
71 "value": "Contact Us"
72 },
73 {
74 "key": "contactUsEmail",
75 "value": "support@gruzyaadventureoutfitters.com"
76 },
77 {
78 "key": "contactUsPhone",
79 "value": "5551234567"
80 },
81 {
82 "key": "invoiceNumbering",
83 "value": "autoapply"
84 },
85 {
86 "key": "paymentVisa",
87 "value": "true"
88 },
89 {
90 "key": "paymentMastercard",
91 "value": "true"
92 },
93 {
94 "key": "paymentDiscover",
95 "value": "true"
96 },
97 {
98 "key": "paymentAmex",
99 "value": "true"
100 },
101 {
102 "key": "paymentAch",
103 "value": "true"
104 },
105 {
106 "key": "paymentApplePay",
107 "value": "false"
108 },
109 {
110 "key": "paymentGooglePay",
111 "value": "false"
112 },
113 {
114 "key": "requireInvoiceNumber",
115 "value": "false"
116 },
117 {
118 "key": "autoCreateInvoice",
119 "value": "true"
120 },
121 {
122 "key": "",
123 "value": ""
124 }
125 ],
126 "forPayOuts": [
127 {
128 "key": "autoCapture",
129 "readOnly": false,
130 "value": "true"
131 },
132 {
133 "key": "autoPay",
134 "readOnly": false,
135 "value": "true"
136 },
137 {
138 "key": "autoDownloadCheckImage",
139 "readOnly": false,
140 "value": "false"
141 }
142 ],
143 "forWallets": [
144 {
145 "key": "isApplePayEnabled",
146 "readOnly": false,
147 "value": "false"
148 }
149 ],
150 "general": [
151 {
152 "key": "currency",
153 "readOnly": true,
154 "value": "USD"
155 },
156 {
157 "key": "disableAutoReceipt",
158 "readOnly": true,
159 "value": "true"
160 },
161 {
162 "key": "sendApprovedReceipt",
163 "readOnly": false,
164 "value": "true"
165 },
166 {
167 "key": "sendDeclinedReceipt",
168 "readOnly": false,
169 "value": "true"
170 },
171 {
172 "key": "",
173 "readOnly": true,
174 "value": ""
175 }
176 ],
177 "identifiers": [
178 {
179 "key": "key",
180 "readOnly": false,
181 "value": "value"
182 }
183 ]
184}
Retrieves a paypoint's basic settings like custom fields, identifiers, and invoicing settings.
Was this page helpful?
Previous

Get paypoint details

Next

Upload logo

Authentication

requestTokenstring
API Key authentication via header

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

Response

Success
customFieldslist of objects
Any custom fields defined for the org.
forInvoiceslist of objects
forPayOutslist of objects
forWalletslist of objects

Information about digital wallet settings for the entity. Available values are isApplePayEnabled and isGooglePayEnabled.

generallist of objects
identifierslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error